evTestA {copula} | R Documentation

## Bivariate Test of Extreme-Value Dependence Based on Pickands' Dependence Function

### Description

Test of bivariate extreme-value dependence based on the process comparing the empirical copula with a natural nonparametric estimator of the unknown copula derived under extreme-value dependence. The test statistics are defined in the third reference. Approximate p-values for the test statistics are obtained by means of a multiplier technique.

### Usage

    evTestA(x, N = 1000, derivatives = c("An","Cn"))

### Arguments

`x` | a data matrix that will be transformed to pseudo-observations.
`N` | number of multiplier iterations to be used to simulate realizations of the test statistic under the null hypothesis.
`derivatives` | string specifying how the derivatives of the unknown copula are estimated, either `"An"` or `"Cn"`. The former gives better results for samples smaller than 400 but is slower.

### Details

More details are available in the third reference. See also Genest and Segers (2009) and Remillard and Scaillet (2009).

### Value

Returns a list whose attributes are:

`statistic` | value of the test statistic.
`p.value` | corresponding approximate p-value.

### Note

This test was derived under the assumption of continuous margins, which implies that ties occur with probability zero. The presence of ties in the data might substantially affect the approximate p-value. One way of dealing with ties was suggested in the last reference.

### References

Genest, C. and Segers, J. (2009). Rank-based inference for bivariate extreme-value copulas. Annals of Statistics, 37, pages 2990-3022.

Rémillard, B. and Scaillet, O. (2009). Testing for equality between two copulas. Journal of Multivariate Analysis, 100(3), pages 377-386.

Kojadinovic, I. and Yan, J. (2010). Nonparametric rank-based tests of bivariate extreme-value dependence. Journal of Multivariate Analysis 101, 2234–2249.

Kojadinovic, I. and Yan, J. (2010). Modeling Multivariate Distributions with Continuous Margins Using the copula R Package. Journal of Statistical Software 34(9), 1–20. http://www.jstatsoft.org/v34/i09/.

### See Also

`evTestK`, `evTestC`, `evCopula`, `gofEVCopula`, `An`.

### Examples

    ## Do these data come from an extreme-value copula?
    set.seed(63)
    uG <- rCopula(100, gumbelCopula(3))
    uC <- rCopula(100, claytonCopula(3))
    ## takes time: 48 seconds on MM's lynne (2012-06)
    evTestA(uG)
    evTestA(uG, derivatives = "Cn")

    evTestA(uC)

[Package copula version 0.999-15 Index]